function norm = nbdm(m)

sortedS=sort(fscanf(fopen('complexities.txt','r'),'%f'),'descend');

ns = prod(floor(size(m)/4));

s = (log(ceil(ns/(2^16)))/log(2)) * mod(ns,2^16);
if ns>=2^16
    s = s + (log(floor(ns/(2^16)))/log(2)) * (ns - mod(ns,2^16));
end

ind = min(ns,2^16);
sumsq = sum(sortedS(1:ind));

maxBDM = s+sumsq;

minBDM = log(ns)/log(2) + sortedS(end);

norm = (bdm(m)-minBDM)/(maxBDM-minBDM);